--- /dev/null
+# syntax=docker/dockerfile:1
+FROM --platform=linux/amd64 debian:bookworm-slim
+LABEL maintainer.name="The Xen Project"
+LABEL maintainer.email="xen-devel@lists.xenproject.org"
+
+ENV DEBIAN_FRONTEND=noninteractive
+ENV CROSS_COMPILE=powerpc64le-linux-gnu-
+ENV XEN_TARGET_ARCH=ppc64
+
+RUN <<EOF
+#!/bin/bash
+ set -e
+
+ useradd --create-home user
+
+ apt-get -y update
+
+ DEPS=(
+ # Xen
+ bison
+ build-essential
+ checkpolicy
+ flex
+ gcc-powerpc64le-linux-gnu
+ python3-minimal
+
+ # Qemu for test phase
+ qemu-system-ppc
+ )
+
+ apt-get -y --no-install-recommends install "${DEPS[@]}"
+ rm -rf /var/lib/apt/lists/*
+EOF
+
+USER user
+WORKDIR /build
variables:
CONTAINER: debian:bookworm
+debian-12-ppc64le-gcc-debug:
+ extends: .gcc-ppc64le-cross-build-debug
+ variables:
+ CONTAINER: debian:12-ppc64le
+ KBUILD_DEFCONFIG: ppc64_defconfig
+ HYPERVISOR_ONLY: y
+
# Arm32 cross-build
debian-bookworm-gcc-arm32:
variables:
CONTAINER: suse:opensuse-tumbleweed
allow_failure: true
+
+# PowerPC builds (x86 cross)
+debian-12-ppc64le-gcc:
+ extends: .gcc-ppc64le-cross-build
+ variables:
+ CONTAINER: debian:12-ppc64le
+ KBUILD_DEFCONFIG: ppc64_defconfig
+ HYPERVISOR_ONLY: y
_fedora) CONTAINER="${BASE}/fedora:29";;
_focal) CONTAINER="${BASE}/ubuntu:focal" ;;
_bullseye-ppc64le) CONTAINER="${BASE}/debian:bullseye-ppc64le" ;;
+ _bookworm-ppc64le) CONTAINER="${BASE}/debian:12-ppc64le" ;;
_buster-gcc-ibt) CONTAINER="${BASE}/debian:buster-gcc-ibt" ;;
_bookworm|_) CONTAINER="${BASE}/debian:bookworm" ;;
_bookworm-i386) CONTAINER="${BASE}/debian:bookworm-i386" ;;